#!/usr/bin/perl
#
# Time flies like an arrow
# (Fruit flies like a banana)

# tabellenloeschen.pl - delete tables
# gehrt zum Programm fr die automatische Kategorisierung von Mailinglisten (Inhaltsanalyse)
# (c) 2004-2005 Kajetan Hinner und Andreas Brandt, Univ. Mainz und Univ. Frankfurt, Deutschland
#
# aktuelle Version unter www.hinner.com/programs
#

use strict;
use warnings;

my $dbh;			  # data base handle
my $sql_command; 		  # will be used to give commands to db

use DBI;

my $datenbank="kdedevel";   # Name der Datenbank
my $datenbankhost="localhost";  # Rechner, auf dem die Datenbank luft
my $datenbankuser="dbroot";   # Benutzername und Passwort
my $datenbankpw="geheim";

# Verbindung zur Datenbank herstellen

$dbh=DBI->connect("DBI:mysql:$datenbank:$datenbankhost","$datenbankuser",  "$datenbankpw") || die ("Fehler bei der Datenbankverbindung zu $datenbank, $DBI::errstr\n");

$sql_command="delete from Autor";
#   print ("Statement '$sql_command'\n");
my $sth = $dbh->prepare($sql_command) || die "Kann Statement '$sql_command' nicht vorbereiten $DBI::errstr\n";
my $rv = $sth->execute or die "Kann die Anweisung $sql_command nicht ausfhren\n";
$sth->finish;

$sql_command="delete from Autorennamen";
#   print ("Statement '$sql_command'\n");
$sth = $dbh->prepare($sql_command) || die "Kann Statement '$sql_command' nicht vorbereiten $DBI::errstr\n";
$rv = $sth->execute or die "Kann die Anweisung $sql_command nicht ausfhren\n";
$sth->finish;

$sql_command="delete from Mail";
#   print ("Statement '$sql_command'\n");
$sth = $dbh->prepare($sql_command) || die "Kann Statement '$sql_command' nicht vorbereiten $DBI::errstr\n";
$rv = $sth->execute or die "Kann die Anweisung $sql_command nicht ausfhren\n";
$sth->finish;

$sql_command="delete from Thread";
# print ("Statement '$sql_command'\n");
$sth = $dbh->prepare($sql_command) || die "Kann Statement '$sql_command' nicht vorbereiten $DBI::errstr\n";
$rv = $sth->execute or die "Kann die Anweisung $sql_command nicht ausfhren\n";
$sth->finish;






$dbh->disconnect; # Verbindung zur DB beenden

